package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProDictionarysDAO;
import com.philisense.www.mapper.ProDictionarysMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProDictionarysDAOImpl implements ProDictionarysDAO {

        @Autowired
        private ProDictionarysMapper proDictionarysMapper;

        @Override
        public int deleteByPrimaryKey(String id) {
            return proDictionarysMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proDictionarysMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proDictionarysMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proDictionarysMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proDictionarysMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proDictionarysMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proDictionarysMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proDictionarysMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proDictionarysMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proDictionarysMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proDictionarysMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proDictionarysMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proDictionarysMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> queryPageForTypes(Map<String, Object> map) {
            return proDictionarysMapper.queryPageForTypes(map);
        }
}
